{
  "compilerOptions": {
    "target": "ES2022",
    "module": "ESNext",
    "lib": ["ES2022", "DOM"],
    "moduleResolution": "node",
    "esModuleInterop": true,
    "jsx": "react-jsx",
    "strict": true,
    "noImplicitAny": true,
    "noImplicitThis": true,
    "strictNullChecks": true,
    "alwaysStrict": true,
    "exactOptionalPropertyTypes": true,
    "noUncheckedIndexedAccess": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "baseUrl": ".",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "paths": {
      "@core/*": ["./core/*"],
      "@adapters/*": ["./adapters/*"],
      "@testing/*": ["./testing/*"],
      "@/*": ["./apps/website/*"],
      "@/lib/dtos": ["./apps/website/lib/dtos"],
      "@/lib/view-models": ["./apps/website/lib/view-models"],
      "@/lib/presenters": ["./apps/website/lib/presenters"],
      "@/lib/services": ["./apps/website/lib/services"],
      "@/lib/api": ["./apps/website/lib/api"],
      "@/lib/types": ["./apps/website/lib/types"]
    }
  },
  "exclude": ["node_modules", "dist"]
}